import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:momomotus/cubit/game_cubit.dart';
import 'package:momomotus/models/game/game.dart';
import 'package:momomotus/ui/widgets/actions/button_game_quit.dart';

class GameEndWidget extends StatelessWidget {
  const GameEndWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        final Image decorationImage = Image(
          image: AssetImage(
              currentGame.gameWon ? 'assets/ui/game_win.png' : 'assets/ui/game_fail.png'),
          fit: BoxFit.fill,
        );

        return Table(
          defaultColumnWidth: const IntrinsicColumnWidth(),
          defaultVerticalAlignment: TableCellVerticalAlignment.bottom,
          children: [
            TableRow(
              children: [
                Column(
                  children: [decorationImage],
                ),
                Column(
                  children: [
                    currentGame.animationInProgress == true
                        ? decorationImage
                        : const QuitGameButton()
                  ],
                ),
                Column(
                  children: [decorationImage],
                ),
              ],
            ),
          ],
        );
      },
    );
  }
}
